INSMOD(8)

NAME
insmod - simple program to insert a module into the Linux Kernel

SYNOPSIS
insmod [ filename ] [ module options ... ]

DESCRIPTION

insmod is a trivial program to insert a module into the kernel: if the filename is a hyphen, the module is taken from standard input. Most users will want to use modprobe(8) instead, which is cleverer.

Only the most general of error messages are reported: as the work of trying to link the module is now done inside the kernel, the dmesg usually gives more information about errors.

BACKWARDS COMPATIBILITY

This version of insmod is for kernels 2.5.48 and above. If it detects a kernel with support for old-style modules (for which much of the work was done in userspace), it will attempt to run insmod.old in its place, so it is completely transparent to the user.

COPYRIGHT

This manual page Copyright 2002, Rusty Russell, IBM Corporation.

SEE ALSO

modprobe(8), rmmod(8), lsmod(8), insmod.old(8)